## starvoyager 0.4.4

=== Makefile ===
PREFIX=/usr/local
DATADIR=$(PREFIX)/share/starvoyager
DOCDIR=$(PREFIX)/share/doc/starvoyager
BINDIR=$(PREFIX)/bin
VERSION=0.4.4

CPPC=c++
CC=cc
LIBS:=`sdl-config --libs` -lSDL_net -lstdc++
CFLAGS:=`sdl-config --cflags` -Wall -ggdb3
#CFLAGS:=`sdl-config --cflags` -ggdb3 -Wall -Werror -ansi -pedantic
PACKAGENAME=starvoyager-$(VERSION)-`uname -m`-`uname|tr [A-Z] [a-z]`.bin
.SUFFIXES: .c .cc

all: starvoyager

#Linking
starvoyager: alliance.o camera.o database.o error.o game.o interface.o presence.o ship.o sound.o ticker.o calc.o client.o equip.o frag.o graphic.o planet.o server.o sockhelper.o sv.o player.o os.o SDL_rotozoom.o SDL_gfxPrimitives.o
	$(CC) -o starvoyager *.o $(LIBS)

#Include dependencies
*.o: *.h

#Compiling
SDL_rotozoom.o: SDL_rotozoom.c
	$(CC) $(CFLAGS) -c -o SDL_rotozoom.o SDL_rotozoom.c

SDL_gfxPrimitives.o: SDL_gfxPrimitives.c
	$(CC) $(CFLAGS) -c -o SDL_gfxPrimitives.o SDL_gfxPrimitives.c

.cc.o:
	$(CPPC) $(CFLAGS) -DPOSIX -DVERSION=\"${VERSION}\" -DDATADIR=\"${DATADIR}\" -c -o $@ $<

	
#Installing
install: all
	rm $(DATADIR) -rf
	rm $(DOCDIR) -rf
	mkdir -p $(BINDIR) $(DOCDIR) $(DATADIR)/gfx $(DATADIR)/snd 
	cp data/gfx/* $(DATADIR)/gfx/
	cp data/snd/* $(DATADIR)/snd/
	cp data/*.svd $(DATADIR)/
	cp README FAQ LGPL manual.html LICENCE $(DOCDIR)/
	cp starvoyager $(BINDIR)/
	chmod 755 $(BINDIR)/starvoyager

#Uninstalling
uninstall:
	rm -r $(DATADIR)
	rm -r $(DOCDIR)
	rm $(BINDIR)/starvoyager

#Clean
clean:
	rm -f *.o
	rm -f starvoyager
	rm -f starvoyager-*

#Making a binary package
binary:
	cp binpackage.sh $(PACKAGENAME)
	tar czf - $(BINDIR)/starvoyager $(DATADIR) $(DOCDIR) >>$(PACKAGENAME)

=== debian/changelog ===
starvoyager (0.4.4-13) unstable; urgency=medium

  * Re-upload as source-only

 -- Alexandre Detiste <tchet@debian.org>  Sun, 06 Apr 2025 00:31:40 +0200

starvoyager (0.4.4-12) unstable; urgency=medium

  * Adopt game inside Games Team (Closes: #831806)
  * Copyright review

  [ Helmut Grohne ]
  * Fix FTCBFS: Supply C++ compiler as CPPC. (Closes: #915323)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 28 Mar 2025 11:09:22 +0100

starvoyager (0.4.4-11) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.6 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Remove an obsolete maintscript entry.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entries 0.4.4-4, 0.4.4-3, 0.4.4-2.
  * Flag in d/control that no root is needed during build.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 28 May 2024 08:49:49 +0200

starvoyager (0.4.4-10) unstable; urgency=medium

  * QA upload.
  * Drop menu file, since starvoyager already provides a .desktop file.
  * Drop now unused 16px pixmap.
  * Few validation fixes to the desktop file:
    - drop deprecated Encoding key
    - drop deprecated Application category
    - drop empty GenericName, and Comment keys

 -- Pino Toscano <pino@debian.org>  Sat, 08 Jan 2022 14:03:02 +0100

starvoyager (0.4.4-9) unstable; urgency=medium

  * QA upload.
  * Do not use --link-doc between arch:all and arch:any packages.
    (Closes: #857878)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Mar 2017 19:00:40 +0100

starvoyager (0.4.4-8) unstable; urgency=medium

  * QA upload.
  * ship.cc: Use NULL instead of false (which is bool) as the null pointer.
    Package now builds with GCC 6. Closes: #811656.
  * Makefile: Use CFLAGS and friends as provided by debian/rules via dh.
    This should make dpkg-buildflags to work, which in turn enables hardening.

 -- Santiago Vila <sanvila@debian.org>  Sun, 07 Aug 2016 12:38:44 +0200

starvoyager (0.4.4-7) unstable; urgency=medium

  * QA upload.
  * Build with gcc version 5 (Bug #811656).

 -- Santiago Vila <sanvila@debian.org>  Mon, 01 Aug 2016 14:05:00 +0100

starvoyager (0.4.4-6) unstable; urgency=medium

  * QA upload.
  * Package is orphaned (Bug #831806). Set maintainer to "Debian QA Group".
  * Switch to "3.0 (quilt)" source format.
  * Raise debhelper compat level to 9. Closes: #817678.
  * Apply deterministic-linker-input patch from Sascha Steinbiss.
    Should make the build reproducible. Closes: #819347
  * Switch to dh. Closes: #822025.

 -- Santiago Vila <sanvila@debian.org>  Wed, 27 Jul 2016 23:16:02 +0100

starvoyager (0.4.4-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/02_undefined-reference.dpatch: Closes: #556374.
  * Added debian/starvoyager.desktop.  Closes: #478941.
  * Fixed description-contains-homepage.  Closes: #615191, #615221.
  * Fixed debhelper-but-no-misc-depends.
  * Fixed debian-rules-ignores-make-clean-error.
  * Fixed menu-item-creates-new-section.

 -- Bart Martens <bartm@debian.org>  Fri, 07 Oct 2011 08:08:15 +0200

starvoyager (0.4.4-5) unstable; urgency=low

  * Bumb policy number
  * Stricter menu format as proposed by lintian
  * Add menu icon - based on patch by Mark Purcell <msp@debian.org> (closes: #319196)
  * Fix multiple spaces in description(violates policy according to linda)
  * Update upstream's homepage in copyright and package description

 -- Idan Sofer <idan@idanso.dyndns.org>  Sat, 20 Aug 2005 11:32:42 +0200

starvoyager (0.4.4-4) unstable; urgency=low

  * Binaries should be installed in /usr/games, according to policy section 11.11
  * Increase Standard-Version to 3.6.0(from 3.5.10) - No changes required
  * Add -O2 to CFLAGS unless there is 'noopt' in DEB_BUILD_OPTIONS

 -- Idan Sofer <idan@idanso.dyndns.org>  Fri, 01 Aug 2003 16:55:13 +0200

starvoyager (0.4.4-3) unstable; urgency=low

  * Remove libstdc++2.10-dev from build-depends(closes: #199700)
  * Increase Standard-Version to 3.5.10(from 3.5.9)

 -- Idan Sofer <idan@idanso.dyndns.org>  Fri, 04 Jul 2003 14:23:06 +0200

starvoyager (0.4.4-2) unstable; urgency=low

  * Fixed manpage(starvoyager accepts no files argument)
  * Add debian/compat and use versioned build-depends on debhelper as suggested by sponsor
  * Reversed dependency between starvoyager and starvoyager-data, the latter now recommends starvoyager
  * Description modified, removing statement as to the extent of it's portability, irrelevant for debian, as commented by Michael Goetze <mgoetze@mgoetze.net>
  * Patching outside debian/ tree is now done by dpatch
  * Added patch to make it compile under gcc 3.2 properly
  * Increase standards-verion to 3.5.9
  * Clean up debian/rules, remove debmake from build-depends
  * Documentation moved to starvoyager-data
  * Created starvoyager docs symlink to starvoyager-data
  * Updated packages description, describe which is binary and which is data

 -- Idan Sofer <idan@idanso.dyndns.org>  Sun, 04 May 2003 01:13:06 +0200

starvoyager (0.4.4-1) unstable; urgency=low

  * Initial release.
  * Makefile's $PREFIX modified to include $DESTDIR

 -- Idan Sofer <idan@idanso.dyndns.org>  Thu, 27 Mar 2003 15:30:06 +0200

=== debian/control ===
Source: starvoyager
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 12),
 libsdl-net1.2-dev,
 libsdl1.2-dev,
Homepage: http://starvoyager.bluesky.me.uk/
Vcs-Browser: https://salsa.debian.org/games-team/starvoyager
Vcs-Git: https://salsa.debian.org/games-team/starvoyager.git
Rules-Requires-Root: no
X-Style: black

Package: starvoyager
Architecture: any
Depends:
 starvoyager-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: 2D space arcade game, themed around 'Star Trek' - binary
 Star Voyager is a Frontier/Elite class game in a more arcade style 2D
 environment, themed to the 'Star Trek' universe. It utilizes the SDL library
 for portability.
 .
 This package contains the game binary

Package: starvoyager-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 starvoyager,
Description: 2D space arcade game, themed around 'Star Trek' - data files
 Star Voyager is a Frontier/Elite class game in a more arcade style 2D
 environment, themed to the 'Star Trek' universe. It utilizes the SDL library
 for portability.
 .
 This package contains the data files used by the game engine

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- 'CPPC=$$(CXX)'
